import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getApprovedPriceState = createAsyncThunk(
  "GET_APPROVED_PRICE_STATE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("approved-price", {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const getKillhouseApprovedPriceState = createAsyncThunk(
  "GET_KILLHOUSE_APPROVED_PRICE_STATE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("broadcast-price", {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
